Skip to content

Katalog (XCF)

/api/xcf.dll/xcf

XCF umfasst alle Informationen, die mit dem Katalog zusammenhängen: Navigation, Suche, Breadcrumbs und Ressourcen.


/getnodes — Katalogdaten

GET

Holt alle untergeordneten Elemente zu einem Katalogordner.

GET /api/xcf.dll/xcf/getnodes?token={TOKEN}&lang=de&parentnode={NODEID}

Parameter

ParameterPflichtBeschreibung
tokenPflichtAuthentifizierung
profileOptionalServer-Profil
parentnodeOptionalKatalogordner. Leer = oberster Ordner
langOptionalAnzeigesprache
langaltOptionalAlternativsprache

Antwort

JSON-Array:

FeldBeschreibung
nodeidEindeutige ID des Knotens (inkl. Pfad). Enthält ;, :, @. Verwendbar als parentnode.
textAnzeigetext in der gewählten Sprache
nodetypeF = Folder, A = Article, I = Info
manufacturerHersteller-ID
programSerien-ID
basearticlenumberGrundartikelnummer (nur bei nodetype=A)
variantcodeAufgelöste Artikelnummer (nur bei nodetype=A)
convertdateKonvertierungsdatum (nur oberste Ebene)
ressourcesArray mit restype und rescontent (z.B. IT = Katalogbild)

Beispiel

json
[
  {
    "nodeid": "_D;webti:@FOLDERUB272;@FOLDERUB273;@FOLDERUB276",
    "text": "Vierfuß-Gestell quadratisch",
    "nodetype": "F",
    "variantcode": "",
    "basearticlenumber": "",
    "convertdate": "2018-04-20",
    "manufacturername": "Demodaten",
    "ressources": [
      {
        "restype": "IT",
        "rescontent": "xcf/ressource/_dx/webti/any/27R1014Q.jpg"
      }
    ],
    "manufacturer": "_dx",
    "program": "webti"
  }
]

Katalogbilder-URL: https://web.3doffice.de/webkatalog2/api/xcf.dll/xcf/ressource/{PFAD}?token={TOKEN}


/getnodesbreadcrumbs — Katalogpfad

GET

Liefert den vollständigen Katalogpfad zum übergebenen Katalogordner.

GET /api/xcf.dll/xcf/getnodesbreadcrumbs?token={TOKEN}&lang=de&parentnode={NODEID}

Parameter

ParameterPflichtBeschreibung
tokenPflichtAuthentifizierung
profileOptionalServer-Profil
parentnodeOptionalKatalogordner
langOptionalAnzeigesprache
langaltOptionalAlternativsprache

Antwort

json
[
  { "nodeid": "_D", "text": "Demodaten" },
  { "nodeid": "_D;TI:@FOLDERS1", "text": "Tische" },
  { "nodeid": "_D;TI:@FOLDERS1;@FOLDER1", "text": "(Art) Standardtische" }
]

Katalogpfad: Demodaten > Tische > (Art) Standardtische


/ressources — Ressourcen

GET

Herstellerebene

GET /api/xcf.dll/xcf/ressources/{MANUID}/de/{NAME}

Liefert Ressourcen auf Herstellerebene (z.B. Herstellerlogo).

Beispiel: .../ressources/_D/de/_D.jpeg?token={TOKEN}

Serienebene

GET /api/xcf.dll/xcf/ressources/{MANUID}/{SERIESID}/de/{NAME}

Liefert Ressourcen auf Serienebene (z.B. Katalogbilder).

Beispiel: .../ressource/_d/webti/any/tische.jpg?token={TOKEN}


/search — Suche

GET

Sucht in Artikelnummern und Artikelkurztexten.

GET /api/xcf.dll/xcf/search/{MANUID}?token={TOKEN}&lang=de&q={SUCHTEXT}

Parameter

ParameterPflichtBeschreibung
tokenPflichtAuthentifizierung
langOptionalSprache
langaltOptionalAlternativsprache
qPflichtSuchtext

Antwort

Gleiches Format wie /getnodes — enthält die Suchergebnisse.

Beispiel

json
[
  {
    "nodeid": "_D;SEARCHRESULT0",
    "text": "Bildschirmtisch, links, Breite 1600 mm",
    "nodetype": "A",
    "variantcode": "",
    "basearticlenumber": "27B0616RL",
    "convertdate": "2018-04-20",
    "manufacturername": "Demodaten",
    "ressources": [
      {
        "restype": "IT",
        "rescontent": "xcf/ressource/_dx/WEBTI/any/27B0616RL.jpg"
      }
    ],
    "manufacturer": "_dx",
    "program": "WEBTI"
  }
]

/logout — Abmelden

POST

POST /api/xcf.dll/xcf/logout/{TOKEN}

3D office WebKatalog 2.5 — ub.unitel GmbH